---
title: HTMLStyleElement.media
slug: Web/API/HTMLStyleElement/media
tags:
  - API
  - HTML DOM
  - HTMLStyleElement
  - NeedsMarkupWork
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLStyleElement.media</code></strong> property specifies the intended destination medium for style information.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>medium</var> = style.media
style.media = <var>medium</var>
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
	<li><code>medium</code> is a string describing a single medium or a comma-separated list.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;!doctype html&gt;
&lt;html&gt;
&lt;head&gt;

&lt;link id="LinkedStyle" rel="stylesheet" href="document.css" type="text/css" media="screen" /&gt;
&lt;style id="InlineStyle" rel="stylesheet" type="text/css" media="screen, print"&gt;
p { color: blue; }
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;

&lt;script&gt;
alert('LinkedStyle: ' + document.getElementById('LinkedStyle').media); // 'screen'
alert('InlineStyle: ' + document.getElementById('InlineStyle').media); // 'screen, print'
&lt;/script&gt;

&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', "semantics.html#attr-style-media", "HTMLStyleElement")}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td> </td>
		</tr>
		<tr>
			<td>{{SpecName('HTML5.1', "semantics.html#attr-style-media", "HTMLStyleElement")}}</td>
			<td>{{Spec2('HTML5.1')}}</td>
			<td> </td>
		</tr>
		<tr>
			<td>{{SpecName('HTML5 W3C', "semantics.html#attr-style-media", "HTMLStyleElement")}}</td>
			<td>{{Spec2('HTML5 W3C')}}</td>
			<td> </td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 HTML', 'html.html#ID-16428977', 'HTMLStyleElement')}}</td>
			<td>{{Spec2('DOM2 HTML')}}</td>
			<td> </td>
		</tr>
		<tr>
			<td>{{SpecName('DOM1', 'level-one-html.html#ID-16428977', 'HTMLStyleElement')}}</td>
			<td>{{Spec2('DOM1')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLStyleElement.media")}}</p>
